%define	upstream_name	 Mail-Sender
%define upstream_version 0.8.23

%global	__requires_exclude perl\\(Win32API::Registry\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Module for sending mails with attachments through an SMTP server 
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/J/JE/JENDA/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildArch:  noarch

%description
Mail-Sender is a Perl module for sending mail with attachments through an
SMTP server.  This module will not work with qmail servers, however.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
echo "N
" | %make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Mail
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.8.23-7pclos2017
- rebuild against updates

